package com.mogo.cloud.live.manager;

/**
 * 直播配置对象
 */
public class MoGoLivePushConfig {
    private int mWidth = 1280;
    private int mHeight = 720;
    private int mVideoBitrate = 1200;
    private int mVideoFPS = 20;
    private int mAudioSampleRate = 44100;
    private int mAudioChannels = 1;
    private int mAudioFormat = 2;
    private boolean isMute = true;
    private String devicesId;
    private boolean isExpressEngine;

    private static MoGoLivePushConfig mMoGoLivePushConfig;

    private MoGoLivePushConfig() {
    }

    public static MoGoLivePushConfig getInstance() {
        if (mMoGoLivePushConfig == null) {
            synchronized (MoGoLivePushConfig.class) {
                if (mMoGoLivePushConfig == null) {
                    mMoGoLivePushConfig = new MoGoLivePushConfig();
                }
            }
        }
        return mMoGoLivePushConfig;
    }

    public String getDevicesId() {
        return devicesId;
    }

    public void setDevicesId(String devicesId) {
        this.devicesId = devicesId;
    }

    public int getWidth() {
        return this.mWidth;
    }

    public void setWidth(int width) {
        this.mWidth = width;
    }

    public int getHeight() {
        return this.mHeight;
    }

    public void setHeight(int height) {
        this.mHeight = height;
    }

    public int getVideoBitrate() {
        return this.mVideoBitrate;
    }

    public void setVideoBitrate(int videoBitrate) {
        this.mVideoBitrate = videoBitrate;
    }

    public int getVideoFPS() {
        return this.mVideoFPS;
    }

    public void setVideoFPS(int videoFPS) {
        this.mVideoFPS = videoFPS;
    }

    public int getAudioSampleRate() {
        return this.mAudioSampleRate;
    }

    public void setAudioSampleRate(int audioSampleRate) {
        this.mAudioSampleRate = audioSampleRate;
    }

    public int getAudioChannels() {
        return this.mAudioChannels;
    }

    public void setAudioChannels(int audioChannels) {
        this.mAudioChannels = audioChannels;
    }

    public int getAudioFormat() {
        return this.mAudioFormat;
    }

    public void setAudioFormat(int audioFormat) {
        this.mAudioFormat = audioFormat;
    }

    public boolean isMute() {
        return this.isMute;
    }

    public void setMute(boolean mute) {
        this.isMute = mute;
    }

    public boolean isExpressEngine() {
        return isExpressEngine;
    }

    public void setExpressEngine(boolean expressEngine) {
        isExpressEngine = expressEngine;
    }
}

